image: ruby:2.7

stages:
 - triage

cache:
  paths:
    - vendor/ruby

dry-run:triage:
  stage: triage
  script:
    - gem install bundler -v 2.4.22
    - bundle install
    - bundle exec gitlab-triage --dry-run --source-id gitlab-org --source groups --token $DEV_API_TOKEN
  when: manual
  except:
    - schedules

run:triage:
  stage: triage
  retry: 1
  script:
    - gem install bundler -v 2.4.22
    - bundle install
    - bundle exec gitlab-triage --source-id gitlab-org --source groups --token $API_TOKEN
  only:
    - schedules
